New version of Asycuda World Software

Why this new version?

As the Belastingdienst Caribisch Nederland (B/CN)
we are constantly aiming to improve the service to our customers. Sometimes we do this by offering new services but also by upgrading existing services. Asycuda World has been improved ‘Under the hood’. For you as an end user not a lot will change while using Asycuda World.

Why is this upgrade necessary?
The reason for this upgrade is to fix small bugs, improving the speed of the application and security issues. Asycuda World is based on Java technology. This technology is experiencing a rapid development and therefore changes need to be made in Asycuda World. The other reason for this upgrade is that this will allow us to expand the functionalities of Asycuda World in the future.

What does this mean for you as a customer?
Not a lot will change for you as a user of Asycuda World. Your username and password have remained the same. You will however need to choose a new and strong password. The password you would like to use needs to meet the following requirements:

- Minimum 8 characters of which 1 Capital letter, 1 number and 1 special character (for example: Welcome01!)

After 90 days your password will expire automatically. After these 90 days you will have to choose another password. You cannot use a password you have used previously. It has to be a new password.

It is important that you upgrade the version of Java on your computer to the latest and more secure version. We recommend to remove old versions of Java from your computer(s) if you do not need these older versions for other applications. Instructions on how to upgrade your Java version and how to remove older versions can be found on the website of the supplier of Java. https://java.com/en/download/faq/remove_olderversions.xml

If you encounter problems with upgrading Java you should contact your IT company or IT department. If you encounter problems with the use of Asycuda World after you successfully upgraded Java you can contact Belastingdienst Caribisch Nederland here.

What do I have to do as a customer?
- Upgrade Java on your computer(s) to the latest version of Java. You can download that here:
https://www.java.com/en/

- Remove older versions of Java from your computer(s) if you do not require them for other applications. The Belastingdienst cannot help you with this. If you do not know how to do this you can contact your IT supplier or IT department. If you would like to do it yourself you can find the instructions from the supplier of Java here:
https://java.com/en/download/faq/remove_olderversions.xml

 

What messages can you encounter when starting Asycuda World?
It is possible that you will get a warning message when you start the new version of Asycuda World.
java prompt

You can check the box next to ‘Do not show this again for apps from the publisher and location above’, and click Run.

System requirements Asycuda World

Operating System

Versions

Windows

Windows Vista (from servicepack 2), Windows 7 (from servicepack 1) en Windows 8.1

 

System requirements Java
http://www.oracle.com/technetwork/java/javase/certconfig-2095354.html

Remark: Since April 8 2014 Microsoft no longer supports Windows XP. Therefore this is no longer an officially supported platform. Users can continue using Java 7 updates for Windows XP on their risk. Java will only supported for Microsoft Windows releases Windows Vista and newer.

The suppliers of these operating systems will not support older versions of their operating systems. Therefore B/CN cannot guarantee that Asycuda World will work correctly if you use an older operating system. For instance: Asycuda World might not start.